%define	module	xdot

# git81b8d7d
%define gitrel	0
%define rel 5
%if "%{commit}" != "0"
%define release %mkrel %{rel}
%else
%define release %mkrel 1.%{rel}.%{gitrel}
%endif

%define distname %{module}.py-%{version}

Summary:	Interactive viewer for Graphviz dot files
Name:		python-%{module}
Version:	0.6
Release:	%{release}
Source0:	https://github.com/jrfonseca/xdot.py/archive/%{version}.tar.gz
License:	LGPLv3+
Group:		Graphics/Utilities
Url:		https://github.com/jrfonseca/xdot.py

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-devel
Requires:	graphviz
Requires:	pygtk2.0
Requires:	python-pkg-resources

%description
xdot is an interactive viewer for graphs written in
Graphviz's dot language.

It internally uses Graphviz's xdot output format as an
intermediate format, and PyGTK and Cairo for rendering.

xdot can be used either as a standalone application from
the command line, or as a library embedded in your Python
application.

%prep
%setup -q -n %{distname}

%build
%py2_build

%install
%py2_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{module}.desktop << EOF
[Desktop Entry]
Name=XDot
Comment=Interactive viewer for Graphviz dot files
Exec=xdot
Terminal=false
Type=Application
Categories=GTK;DataVisualization;Science;Graphics;
MimeType=text/vnd.graphviz;
Keywords=graphviz;dot;viewer;graph;
EOF

%files
%doc sample.py
%{_bindir}/%{module}
%{python_sitelib}/%{module}.py*
%{python_sitelib}/%{module}-*.egg-info
%{_datadir}/applications/%{_real_vendor}-%{module}.desktop


%changelog
* Sat Mar 18 2017 akien <akien> 0.6-5.mga6
+ Revision: 1093432
- Fix missing python-pkg-resources dep (mga#20515)

* Fri Feb 05 2016 umeabot <umeabot> 0.6-4.mga6
+ Revision: 936743
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-3.mga5
+ Revision: 743759
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-2.mga5
+ Revision: 688429
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 blino <blino> 0.6-1.mga5
+ Revision: 666975
- 0.6

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 544590
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5-3.mga4
+ Revision: 499769
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 03 2013 blino <blino> 0.5-2.mga4
+ Revision: 474889
- expand file list in spec instead of using broken setup.py --record option (includes uninstalled pyc file)
- enable python bytecode

* Fri Jun 14 2013 blino <blino> 0.5-1.mga4
+ Revision: 443121
- use Graphics/Utilities group
- add desktop file (borrowed from Debian)
- update URL
- 0.5
- imported package python-xdot

